import { LevelType, SidebarMenuOptions, SidebarMenuOptionsFlat } from './types';
export declare const defaultLevelsConfig: LevelType;
export declare function getFlatOptions(options?: Array<SidebarMenuOptions> | Array<SidebarMenuOptionsFlat>, parentKey?: string | number | null, level?: number): Array<SidebarMenuOptionsFlat> | any;
export declare function getKeysSorted(flatOptions: Array<SidebarMenuOptionsFlat>): import("./types").SidebarMenuItemKey[];
export declare function getAncestorKeys(flatOptions: Array<SidebarMenuOptionsFlat>, activeKey?: string | number): (string | number)[];
